A Sandcastle Documented Class Library
A Sandcastle Documented Class Library
butterflow_ui
MainWindow Class
MainWindow Methods
_CreateDelegate Method
bntClip_Click Method
bntVideoBackward_Click Method
bntVideoForward_Click Method
bntVideoPlay_Click Method
bntVideoStop_Click Method
btnCancel_Click Method
btnCopyArguments_Click Method
btnFileOutputPicker_Click Method
btnFilePicker_Click Method
btnProcess_Click Method
btnRemoveSubregion_Click Method
ButterflowWrapper_ParsedConsoleOutputRecieved Method
GetRecursiveChildren(T) Method
InitializeComponent Method
mediaPreview_MediaEnded Method
menuAboutButterflowUI_Click Method
menuButterflowGithub_Click Method
menuButterflowUIGithub_Click Method
menuOpen_Click Method
menuOptions_Click Method
menuSaveConfiguration_Click Method
PlaybackRateRadioButton_Checked Method
ScrollViewer_ScrollChanged Method
txtPlaybackRate_GotFocus Method

# MainWindow GetRecursiveChildren T Method

Gets the recursive children of a parent element that are of type T.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.1.0.42906 (1.0.0.0)
Syntax
C#
Copy

    private IEnumerable<T> GetRecursiveChildren<T>(
    	Object parent
    )
    where T : DependencyObject

#### Parameters

parent
  Type: System
  Object
  The parent element.

#### Type Parameters

T
  Generic type parameter.

#### Return Value

Type: IEnumerable
T
An enumerator that allows foreach to be used to process the recursive childrens in this collection.
See Also

#### Reference

MainWindow Class
butterflow_ui Namespace